<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_b3a356a0e258224" . "9702c68be9887158" . "b" => base64_decode("KGludDppZDEsICdyb29tJyw" . "gaW50OmlkMiwgMCk="), "_1044ad6ec3f2b15d20a3b7353cfb4" . "d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIRVJF" . "IHBpZD1pbnQ6aWQ="), "_8695e37b2f8e63ab89c4690829" . "0193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2Zh" . "YycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2lu" . "Zw=="), "_e98bb44779e2719d9" . "90b12523648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZC" . "A9IC0xIEFORCByb29tX2lkID0gaW50Omlk"), "_f318226b856b8a65f1826300a2816" . "17b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPW" . "ludDppZCBBTkQgdHlwZT0ncm9vbScgQU5EIGJvb2tp" . "bmc9aW50OmJvb2tpbmc="), "_2acee84482629451244aab96a01623" . "cd" => base64_decode("cm9vbQ=" . "="), "_5b81cb6cf0bfd990583" . "fc12ddd80cd32" => base64_decode("Z" . "m" . "F" . "j"), "_934da0e4d2" . "7867b72605f" . "2f2a82ddad0" => base64_decode("KGludDppZDEsIHN0cjprZXksIGludDppZDIsIDA" . "p"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2acee84482629451244aab96a01" . "623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8695e37b2f8e63ab89c46908290" . "193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5b81cb6cf0bfd990" . "583fc12ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5b81cb6c" . "f0bfd9905" . "83fc12ddd" . "80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b3a356a0e2582249702c68be" . "9887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_934da0e4d2" . "7867b72605f" . "2f2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_f318226b856b8a65f1826300" . "a281617b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_e98bb44779e2719d990b12523648e30" . "7"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_1044ad6" . "ec3f2b15" . "d20a3b73" . "53cfb4d0" . "2"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}